Bug 1441192 - Add the name of URL parameter which will be check for username during cert login
Summary: Add the name of URL parameter which will be check for username during cert login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Scott Poore
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 12:21 UTC by Petr Vobornik
Modified: 2017-08-01 09:48 UTC (History)
7 users (show)

Fixed In Version: ipa-4.5.0-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:48:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-04-11 12:21:17 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6860

mod_lookup_identity checks one URL parameter during login using certificate and tries to get the user name provided during login from this parameter. Name of the URL parameter has to be configured in apache. Without configuration mod_lookup_identity does not check the URL and therefore login using certificates does not work correctly when one certificate is mapped to more users.

Proposed changes: 
IPA webui adds 'username' as URL parameter. This parameter name should be set in IPA httpd conf by default.

Comment 2 Petr Vobornik 2017-04-11 12:21:35 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6860

Comment 7 Scott Poore 2017-05-16 00:30:23 UTC
Is this related to the issue we saw when I was originally trying to verify bug #1430675?

Comment 9 Scott Poore 2017-05-24 19:15:32 UTC
Verified.

Version ::

ipa-server-4.5.0-13.el7.x86_64

Results ::

Functionality provided by this already covered here:

https://bugzilla.redhat.com/show_bug.cgi?id=1403194#c4


To confirm upgrade works, I upgraded from 4.5.0-5.

[root@rhel7-4 ~]# grep Lookup /etc/httpd/conf.d/ipa.conf
  LookupUserByCertificate On

[root@rhel7-4 ~]# yum update ipa-server
...

Updated:
  ipa-server.x86_64 0:4.5.0-13.el7                                                                     

Dependency Updated:
  ipa-client.x86_64 0:4.5.0-13.el7                   ipa-client-common.noarch 0:4.5.0-13.el7           
  ipa-common.noarch 0:4.5.0-13.el7                   ipa-server-common.noarch 0:4.5.0-13.el7           
  python2-ipaclient.noarch 0:4.5.0-13.el7            python2-ipalib.noarch 0:4.5.0-13.el7              
  python2-ipaserver.noarch 0:4.5.0-13.el7           

Complete!


[root@rhel7-4 ~]# grep Lookup /etc/httpd/conf.d/ipa.conf
  LookupUserByCertificate On
  LookupUserByCertificateParamName "username"

Comment 10 errata-xmlrpc 2017-08-01 09:48:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.